Discord video/gif crash detector
=======

This package check if the provided URL file is detected as crashing discord app.


## Install
`
npm install -save gif-discord-crash-detector
`

## Important
You need to have `ffmpeg`and `ffprobe` installed, otherwise it won't work.

## Usage
```javascript
const crashDetector = require("gif-discord-crash-detector");

crashDetector.DisableLog();
crashDetector.EnableLog(); // Allow you to enable/disable scan logs
let crashFound = await crashDetector.isCrashVideo('SOME_URL_FILE_HERE', 'temp_file_name_you_want.mp4');
if (crashFound) {
    // Your stuff here (remove user message, notice your discord staff, ...)
}
```

## Author
 - ArseeniK#1112

## License
[MIT](https://opensource.org/licenses/mit-license.php)